Get project by id
Get a project by its unique identifier.
Authorization
Bearer AuthorizationBearer <token>
JWT Authorization header using the Bearer scheme. Example: 'Bearer {token}'
In: header
Path Parameters
id*string
The unique identifier of the project.
Format
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/v2/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "isSuccess": true, "error": {}, "errorDetails": "string", "message": "string", "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "description": "string", "isActive": true, "tasks": 0, "creator": "string", "status": true, "connections": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8", "externalId": "string", "source": "string", "name": "string", "description": "string", "serverAdress": "string", "fullPath": "string", "shortPath": "string", "applyQlikSenseTheme": true, "userAccount": "string", "createdDate": "2019-08-24T14:15:22Z", "modifiedDate": "2019-08-24T14:15:22Z" } ], "reports": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8", "name": "string", "description": "string", "type": "string", "dynamicNames": "string", "template": "string", "templatePath": "string", "iterationFields": "string", "filters": "string", "outputFormats": [ "string" ], "projectName": "string", "isIteration": true } ], "filters": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8", "name": "string", "externalId": "string", "description": "string", "preview": "string", "connections": "string" } ], "conditions": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8", "project": "string", "name": "string", "description": "string", "isActive": true, "createdDate": "2019-08-24T14:15:22Z", "modifiedDate": "2019-08-24T14:15:22Z" } ], "createdDate": "2019-08-24T14:15:22Z", "modifiedDate": "2019-08-24T14:15:22Z" }, "resultInfo": { "page": 0, "perPage": 0, "totalCount": 0, "totalPages": 0, "hasPreviousPage": true, "hasNextPage": true }}